Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452403 - xdg-menu: deal with desktop entry field codes
Summary: xdg-menu: deal with desktop entry field codes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openbox
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 08:56 UTC by Michael Wagner
Modified: 2008-09-10 07:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 07:12:11 UTC


Attachments (Terms of Use)

Description Michael Wagner 2008-06-22 08:56:49 UTC
Description of problem:
The dynamic menu created via xdg-menu doesn't handle desktop entry field codes
well. E.g., firefox is called with http://www.%u.com/ as start page. 

Version-Release number of selected component (if applicable):
3.4.7.2-3

Maybe it sufficient to replace all occurrences of %U|u:
  
  import re
  (escape(entry.get_name()), escape(re.sub('%U|u','',entry.get_exec())))

Comment 1 Michael Wagner 2008-06-22 09:01:43 UTC
It should be:
  (escape(entry.get_name()), escape(re.sub('%[Uu]','',entry.get_exec())))




Comment 2 Miroslav Lichvar 2008-08-01 12:14:37 UTC
Fixed in openbox-3.4.7.2-4.fc9.

Comment 3 Fedora Update System 2008-08-01 12:20:23 UTC
openbox-3.4.7.2-4.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-08-07 23:50:44 UTC
openbox-3.4.7.2-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openbox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7016

Comment 5 Fedora Update System 2008-09-10 07:12:07 UTC
openbox-3.4.7.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.